> ## Documentation Index
> Fetch the complete documentation index at: https://docs.curatorodyssey.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post domain



## OpenAPI

````yaml /openapi.json post /domain
openapi: 3.1.0
info:
  title: Laravel
  version: 0.0.1
servers:
  - url: http://odyssey-react.test/api
security: []
paths:
  /domain:
    post:
      tags:
        - CustomerDomain
      operationId: customerDomain.update
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateDomainRequest'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  domain:
                    type: string
                  verification_token:
                    type: string
                  verified:
                    type: boolean
                required:
                  - domain
                  - verification_token
                  - verified
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '403':
          $ref: '#/components/responses/AuthorizationException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  schemas:
    UpdateDomainRequest:
      type: object
      properties:
        domain:
          type: string
          pattern: ^[a-z0-9]([a-z0-9\-]{0,61}[a-z0-9])?(\.[a-z]{2,})+$
          maxLength: 255
      required:
        - domain
      title: UpdateDomainRequest
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors

````